Subject: Re: good gardening books?

From: [email-masked] (Coeli)
Date: 17 May 1995 22:41:55 -0400

Wyman's Encyclopedia is my Bible. I keep it by my chair. I also take many
journals: Organic Gardening, HOrticulture Mag, AM Hort Soc; PA Hort Soc;
Fine Gardening and have just joined the Royal Hort Soc to get their
journal.
I find specialized books best. I like the ones I get from the Brooklyn
Botanical GArden. I have a very good library including the material from
the Master Gardener courses. You can get good material on turf at your
extension office at the county bldg.